@media screen and (max-height: 480px) {
    .media-box {
        display: grid;
        /* grid-template-rows: 80px calc(100% - 80px); */
        /* grid-template-rows: 25% 75% !important; */
        /* grid-template-areas: "player vlist";
        grid-template-columns: 25% 75%; */
    }
    .vidcontainer {
        grid-area: player;
        /* width: 100%; */
        height: 250px!important;
        zoom: 0.5 !important;
        position: relative;
        text-align: center;
        /* float: left; */
    }
    .videolist {
        grid-area: vlist;
        /* width: 100%; */
        /* height: 100px; */
        position: relative;
        text-align: left;
        display: inline-block;
        margin-top: 1px;
    }
    .vids {
        margin: 1px;
        /* border: 1px solid #616060; */
        overflow-y: scroll;
        list-style: none;
        /* zoom: 0.75; */
    }
    
    .topControl {
    position: absolute;
    display: inline-block;
    width: 75%;
    bottom: 42px!important;
    background-color: #fff;
    z-index: 1;
    min-width: 260px !important;
        /* zoom: 0.5; */
}


/* Progress bar */

.progress {
    width: 100%;
    height: 5px;
    position: relative;
    float: left;
    cursor: pointer;
    background: #999;
}

}

@media screen and (min-height: 481px) {
    .media-box {
        display: grid;
        grid-template-rows: 180px calc(100% - 180px);
        grid-template-areas: "player""vlist";
    }
    .videolist {
        grid-area: vlist;
        width: 100%;
        position: relative;
        text-align: left;
        display: inline-block;
        margin-top: 10px;
    }
    .vids {
        margin: 1px;
        /* border: 1px solid #616060; */
        overflow-y: scroll;
        list-style: none;
        zoom: 1.0;
    }
}

.vcontainer * {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
}

.vcontainer *:after,
.vcontainer *:before {
    margin: 0;
    padding: 0;
    /* -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box; */
}

h2.title {
    font-size: 24px;
    color: #fff;
    font-weight: bold;
    font-family: tahoma;
    text-align: center;
    padding: 2em;
    display: block;
    margin: auto;
    background-color: #A97A7A;
}

.vcontainer {
    width: 100%;
    margin: auto;
    position: relative;
    /* height: 100px; */
    text-align: center;
    overflow: hidden;
}

.vidcontainer {
    grid-area: player;
    width: 100%;
    height: 140px;
    position: relative;
    text-align: center;
    /* float: left; */
}

video {
    width: 100%;
    height: 80%;
    color: #fff;
    text-align: center;
    /* padding: 10px; */
    /* font-size: 20px; */
    min-width: 260px !important;
    /* background: transparent url('/images/logo.png') 256px 256px no-repeat; */
}

/* .vids::-webkit-scrollbar {
    width: 8px;
    background-color: #8A8A8A;
    border: 1px solid #AFACAC;
}

.vids::-webkit-scrollbar-thumb {
    background-color: #FF8D00;
    border-radius: 8px;
}

.vids::-webkit-scrollbar-thumb:hover {
    background-color: #fff;
}

.vids::-webkit-scrollbar-thumb:active {
    background-color: #ccc;
} */

.vids a {
    text-decoration: none;
    color: #fff;
    font-size: 16px;
    display: block;
    border-top: 1px solid #616060;
    padding: 8px 5px;
    margin: 5px;
    background-color: #303030;
}

.viddesc {
    margin-left: 10px;
    margin-right: 10px;
    color: #fff;
    font-size: 16px;
    display: block;
    color: whitesmoke
}

.viddesc a {
    margin-left: 10px;
    margin-right: 10px;
    color: lightblue;
    font-size: 14px;
    display: inline-block;
    background-color: transparent;
    border: transparent
}


/*--- controllers ---*/

.controllers {
    /* zoom: 2.0;
        -moz-transform: scale(2.0); */
    @-moz-document url-prefix() {
        margin-top: -8px;
  }
  @media screen and (-webkit-min-device-pixel-ratio: 0) and (min-resolution: 0.001dpcm) {
    div:not(*:root) {
        margin-top: 30px;
    }
    }
    /* margin-top: -8px; */

    position: relative;
     height: 30px;
     bottom: 0;
    background-color: #303030;
    width: 75%;
    display: inline-block;
    min-width: 260px !important;
}

.controllers button {
    border: 1px solid #E7E7E7;
    background-color: #FFFFFF;
    color: #777;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    margin: 5px;
    box-shadow: 1px 1px 3px #4C4C4C;
    outline: none;
    font-size: 10px;
    /* display: inline-block; */
    float: left;
}

.controllers button:focus {
    box-shadow: 1px 0px 7px #4C4C4C;
    border-color: #ff8d00;
    color: #ff8d00;
    background-color: #4C4C4C;
}

.btnPlay:after {
    content: "\f04b";
    font-family: 'FontAwesome';
}

.paused:after {
    content: "\f04c";
}

.sound:after {
    content: "\f027";
    font-family: 'FontAwesome';
}

.sound2:after {
    content: "\f028";
}

.muted:after {
    content: "\f026";
}

.btnFS:after {
    content: "\f065";
    font-family: 'FontAwesome';
}

.bigplay {
    height: 150px;
    width: 150px;
    position: absolute;
    top: 127.5px;
    left: 85px;
    z-index: 11;
    color: #fff;
    font-size: 150px;
    line-height: 150px;
    text-align: center;
    cursor: pointer;
    text-shadow: 0px 0px 15px #ff8d00;
}

.closeme {
    height: 32px;
    width: 32px;
    background-color: #fff;
    top: -10px;
    right: -10px;
    border: 1px solid #ff8d00;
    display: block;
    position: absolute;
    border-radius: 50%;
    text-align: center;
    line-height: 30px !important;
    color: #ff8d00;
    font-size: 25px !important;
}

.playing {
    background-color: #999 !important;
    border: 1px solid #ff8d00 !important;
    -webkit-transition: 0s;
    -o-transition: 0s;
    transition: 0s;
}

.playing:after {
    content: "\f01d";
    font-family: 'FontAwesome';
    color: #ff8d00;
    float: left;
}


/* PROGRESS BAR CSS */

.topControl {
    position: relative;
    display: inline-block;
    width: 75%;
    background-color: #fff;
    z-index: 1;
    min-width: 260px !important;
 
}


/* Progress bar */

.progress {
    width: 100%;
    height: 5px;
    position: absolute;
    float: left;
    cursor: pointer;
    background: #999;
}

.progress span {
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
}

.timeBar {
    z-index: 10;
    width: 0;
    background: #ff8d00;
}

.bufferBar {
    z-index: 5;
    width: 0;
    background: #eee;
}


/* time and duration */

.time {
    width: 70px;
    float: right;
    text-align: center;
    font-size: 11px;
    line-height: 12px;
    right: -70px;
    opacity: 0;
    position: absolute;
}

.topControl:hover .time {
    right: 0;
    opacity: 1;
}

.topControl:hover .progress {
    width: calc(100% - 80px);
    height: 12px;
}


/* VOLUME BAR CSS */


/* volume bar */

.volume {
    position: relative;
    cursor: pointer;
    width: 70px;
    height: 10px;
    float: left;
    margin-top: 13px;
    margin-right: 15px;
    background-color: #999;
}

.volumeBar {
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ff8d00;
    z-index: 10;
}

.loading {
    width: 100%;
    height: 100%;
    position: relative;
    top: 0px;
}

i.fa.fa-spinner.fa-spin {
    height: 60px;
    width: 60px;
    font-size: 60px;
    color: #fff;
    text-shadow: 0px 0px 8px #000;
    top: 172.5px;
    left: 330px;
    position: absolute;
}

.disabled {
    pointer-events: none;
    cursor: not-allowed;
    background-color: #C2C2C2 !important;
}

ul.speedcnt {
    display: none;
    position: absolute;
    right: 30px;
    bottom: 60px;
    background-color: #fff;
    border-radius: 5px;
    list-style: none;
    -webkit-transition: 0s;
    -o-transition: 0s;
    transition: 0s;
}

ul.speedcnt li {
    text-align: center;
    font-family: 'verdana', tahoma, serif;
    font-size: 13px;
    padding: 5px 20px;
    cursor: pointer;
    display: block;
    border-bottom: 1px solid #ccc;
}

ul.speedcnt li:last-child {
    border-bottom: none;
}

ul.speedcnt li.selected {
    background-color: rgba(255, 141, 0, 0.6);
}